How to use facebook auth integration in Ionic 4 capacitor app

How we can use facebook auth integration in Ionic 4 capacitor app.
After installing facebook4 cordova and npm I am getting following error…

> \android\capacitor-cordova-android-plugins\src\main\java\org\apache\cordova\facebook\ConnectPlugin.java:
uses or overrides a deprecated API.

Cordova packages are not able to integrate, while running it on emulator.

Commands used to install cordova packages -

> ionic cordova plugin add cordova-plugin-facebook4 --variable APP_ID="##########" --variable APP_NAME="#######"
> npm install @ionic-native/facebook --save

> npm run build
> npx cap sync
> npx cap copy android
> ionic capacitor run android --emulator -l --address=192.168.0.127

Are you sure this is fatal? Sounds like a warning to me.

Yes, its warning. Due to warning, gradle was not working properly. Sync with Gradle option in Android Studio resolved this issue.